<div class="container ">
    <div class="row">
      <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
        <div class="card card-signin my-5">
          <div class="card-body">
            <h4 class="card-title text-center">Sign In</h4>
            <form class="form-signin">
              <div class="form-label-group  mb-2">
                <label for="inputEmail">Nombre de Usuario</label>
                <input type="text" name="username"  class="form-control" placeholder="Username" [(ngModel)]="credentials.username" required autofocus>
                
              </div>

              <div class="form-label-group mb-5">
                <label for="inputPassword">Password</label>
                <input type="password" name="password" id="inputPassword" class="form-control" placeholder="Password" [(ngModel)]="credentials.password" (keyup.enter)="login()" required>
                
              </div>              
              <button class="btn btn-lg btn-primary btn-block text-uppercase" type="button" (click)="login()">Sign in</button>
              <hr class="my-4">             
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>